#48 Fail to list GPS tags in a JPG file with VB6 wrapper - GetAllMetadataTags2

None
closed
None
5
2015-02-28
2014-03-24
No

VB6 wrapper FreeImage_GetAllMetadataTags2() does not show any of the GPS tags contained in the attached JPEG file.

I believe the function has a failure exit when one of the tags fails at FreeImage_FindNextMetadataInt() in the loop. However, after only a slight modification as below, I am able to list almost all of the GPS tags now.

'Modified one
Public Function FreeImage_GetAllMetadataTags2(ByVal Model As FREE_IMAGE_MDMODEL,
ByVal bitmap As Long,

ByRef Tag() As FREE_IMAGE_TAG) As Long
Dim hMD As Long
Dim lpTag As Long
Dim i As Long
Dim mCtn As Long

' This function is a helper function returning (through a ByRef parameter)
' an array of FREE_IMAGE_TAG structures containing all the image's tags of
' the metadata model specified by the 'Model' parameter.

' The parameter 'Tag()' must be an redimensionable array of FREE_IMAGE_TAG
' and is redimensioned accordingly. The function returns the number of
' tags stored in 'Tag()'.

' All tags obtained from FreeImage_GetAllMetadataTags() must not be deleted
' with FreeImage_DeleteTagEx().

On Error Resume Next

mCtn = FreeImage_GetMetadataCount(Model, bitmap)
If (mCtn > 0) Then
ReDim Tag(mCtn - 1)
hMD = FreeImage_FindFirstMetadata(Model, bitmap, lpTag)
If (hMD <> 0) Then
For i = 0 To mCtn - 1
Tag(i) = pGetTagFromTagPtr(Model, lpTag)
If FreeImage_FindNextMetadataInt(hMD, lpTag) = 0 Then
End If
Next i
Call FreeImage_FindCloseMetadata(hMD)
End If
End If

FreeImage_GetAllMetadataTags2 = mCtn
End Function

Related

Feature Requests: #48

Discussion

  • Johnny Petersen

    Johnny Petersen - 2014-03-24

    Come back to attach the said JPG file. (Unable to use IE of Vista to upload the attachment, have to change to FireFox).

     
  • Hervé Drolon

    Hervé Drolon - 2014-03-26

    Hi,

    This file does not contain GPS metadata. In fact, it does not contain any metadata at all.

    Hervé

     
  • Anonymous - 2014-03-26

    I believe FireFox had taken out metadata. In a minute I will re-attach the file using Win 7.

    The file does contain metadata. The attached ZIP contains 5 screenshots in JPG. "1" and "2" are from my own subroutine (parsing EXIF manually without involvement of any DLL, not even GDIplus). Two pages because the listing is long, as it also shows InterOp tags and GSP tags. Thumbnail shown and thumbnail data are also from EXIF. "3", "4" and "5" are from FreeImage, one page per one Model.

     
  • Anonymous - 2014-03-26

    I reupload the subject JPG, using IE in Win 7, fingers crossed.

     
  • Anonymous - 2014-03-26

    Hi there,

    actually, your latest attachment does still not contain any metadata tags. Could you try sending the image to my SF address? Or, as with the screenshots, could you attach the JPEG file zipped?

    I just revised and tested FreeImage_GetAllMetadataTags with FreeImage's Exif testing image. Currently, I do not see any problems. It works as expected.

    Carsten

     
  • Anonymous - 2014-03-26

    Carsten,

    Would it be that SourceForge scanned the JPEG and removed the metadata?

    I double checked the file being a correct one, each time before I uploaded it.

    Anyway, I would like to try a ZIP this time.

    Herman

     
  • Hervé Drolon

    Hervé Drolon - 2014-03-26
    • assigned_to: Carsten Klein
    • Group: -->
     
  • Hervé Drolon

    Hervé Drolon - 2014-03-26

    GPS decoding is OK on the FreeImage API side.
    Carsten, in case its a VB wrapper problem, I assign you the ticket and let you close it when it's OK :)

    Hervé

     
  • Anonymous - 2014-03-26

    Hi Herman,

    now it worked. Actually I've got the GPS tags. Again, FreeImage_GetAllMetadataTags worked as expected. That's what I#ve read from the image file:

    GPSAltitude: 1577/1
    GPSAltitudeRef: 0
    GPSDOP: 230/100
    GPSDateStamp: 2005:09:11
    GPSDestBearing: 0/0
    GPSDestBearingRef:
    GPSDestDistance: 0/0
    GPSDestDistanceRef:
    GPSDifferential: 0
    GPSImgDirection: 261/1
    GPSImgDirectionRef: T
    GPSLatitude: 39:44:21.61
    GPSLatitudeRef: N
    GPSLongitude: 104:59:29.89
    GPSLongitudeRef: W
    GPSMapDatum: WGS-84
    GPSMeasureMode: 3
    GPSSatellites: 16,23,13,20,27
    GPSSpeed: 2/1
    GPSSpeedRef: N
    GPSStatus: A
    GPSTimeStamp: 19:46:44.00
    GPSTrack: 261/1
    GPSTrackRef: T
    GPSVersionID: 2 2 0 0

    The values are these of property StringValue.

    Actually, the values/strings of tags GPSMapDatum and GPSSatellites are longer than shown above. These are padded with trailing whitespace characters. I guess, that is a bug or feature (call it whatever you like) of the camera.

    What is wrong with these tags? What problems do you encounter actually? Are you sure, that you are using the most recent version of the VB6 wrapper?

    Carsten

     
  • Anonymous - 2014-03-26

    Hervé, why do my posts need await moderation?

     
  • Hervé Drolon

    Hervé Drolon - 2014-03-26

    Probably because you're not logged.
    It's strange however because anonymous request are allowed if I look at the permissions.

     
  • Johnny Petersen

    Johnny Petersen - 2014-03-26

    Hi Carsten,

    I don't really have a problem as such. Perhaps I should explain a bit:

    I don't actually use FreeImage to handle EXIF. As per ScreenShot_1.jpg and ScreenShot_2.jgg in an earlier ZIP, I manually parse EXIF data and list all IFD0 tags, followed by InterOp tags and GPS tags in the same listing, as well as the thumbnail image and data, all in one place (there a button to invoke Google Map per GPS data as well). However, I also have a submenu to test out FreeImage as I have friends who use FreeImage.

    Before I bumped into the subject JPEG file, which is attached in above, I didn't come across a problem. With the subject JPEG, I could list tags for "_MAIN" and "_EXIF" models as usual, however when it came to "_GPS" model, then I got a blank list (attached below). I modified Function_GetAllMeterdataTags() just a little bit, then I got almost all the GPS tags. So I thought I should bring the issue to FreeImage, that is how it comes about.

    After reading your mail, I downloaded the latest copy of wrapper, copied the said function over to replace my existing modified one, then I got a blank GPS list again.

    Below is the above-mentioned Function:

    Public Function FreeImage_GetAllMetadataTags(ByVal Model As FREE_IMAGE_MDMODEL,
    ByVal Bitmap As Long,

    ByRef Tag() As FREE_IMAGE_TAG) As Long

    Dim hMD As Long
    Dim lpTag As Long
    Dim i As Long

    ' This function is a helper function returning (through a ByRef parameter)
    ' an array of FREE_IMAGE_TAG structures containing all the image's tags of
    ' the metadata model specified by the 'Model' parameter.

    ' The parameter 'Tag()' must be an redimensionable array of FREE_IMAGE_TAG
    ' and is redimensioned accordingly. The function returns the number of
    ' tags stored in 'Tag()'.

    ' All tags obtained from FreeImage_GetAllMetadataTags() must not be deleted
    ' with FreeImage_DeleteTagEx().

    i = FreeImage_GetMetadataCount(Model, Bitmap)
    If (i > 0) Then
    ReDim Tag(i - 1)
    FreeImage_GetAllMetadataTags = i
    i = 0
    hMD = FreeImage_FindFirstMetadata(Model, Bitmap, lpTag)
    If (hMD <> 0) Then
    Do
    Tag(i) = pGetTagFromTagPtr(Model, lpTag)
    i = i + 1
    Loop While (FreeImage_FindNextMetadataInt(hMD, lpTag) <> 0)
    Call FreeImage_FindCloseMetadata(hMD)
    End If
    End If

    End Function

     
  • Anonymous - 2014-03-26

    Carsten,

    Not sure this piece of input would be of help. I placed a msgbox inside the loop to see how far I could go. I was able to reach "3" (before "i = i + 1"), but then bounced out of the loop.

    Herman

     
  • Carsten Klein

    Carsten Klein - 2014-03-27

    Hi Herman,

    ok, now I understand your intention. However, I actually get all EXIF_GPS entries with FreeImage, using your JPEG, that you've attached in a zip archive. So, I actually have no idea, where FreeImage_GetAllMetadataTags prematurely exists the loop (or even does not return any tags at all).

    Which application is shown in your screenshots? Is it your own? I just mapped my generated tag list (see above) against that one shown in SchreenShot_5jpg:

    GPSVersionID: 2 2 0 0
    GPSLatitudeRef: N
    GPSLatitude: 39:44:21.61
    GPSLongitudeRef: W
    GPSLongitude: 104:59:29.89
    GPSAltitudeRef: 0
    GPSAltitude: 1577/1
    GPSTimeStamp: 19:46:44.00
    GPSSatellites: 16,23,13,20,27
    GPSStatus: A
    GPSMeasureMode: 3
    GPSDOP: 230/100
    GPSSpeedRef: N
    GPSSpeed: 2/1
    GPSTrackRef: T
    GPSTrack: 261/1
    GPSImgDirectionRef: T
    GPSImgDirection: 261/1
    GPSMapDatum: WGS-84
    GPSDestBearingRef:
    * GPSDestBearing: 0/0
    GPSDestDistanceRef:
    * GPSDestDistance: 0/0
    GPSDateStamp: 2005:09:11
    GPSDifferential: 0

    As you can see, the current version of FreeImage and the VB6 wrapper gets two more tags (marked with *). These are rational values with a zero denominator. Seems like the application that has generated what is shown in ScreenShot_5.jpg has problems with dividing by zero.

    Also the VB6 wrapper had this problem in the past; however, that was fixed as of version 2.20 (CVS revision).

    So, the fix for FreeImage_GetAllMetadataTags that you've provided does nothing more than not relying on the GetFirstMetadata / GetNextMetadata iterator, but gets the number of tags and uses a for-loop to call GetNextMetadata exactly that number times.

    So, basically, both functions do the same thing. They both use GetNextMetadata to get a pointer to the next tag. So, where is the difference? Currently, I have no idea.

    Furthermore, on my machine, the FreeImage_GetAllMetadataTags running on the latest FreeImage library 3.16.0 works perfectly for your image. I recommend these next steps:

    1. Ensure, that your VB application actually uses the latest FreeImage DLL. Call FreeImage_GetVersion() and ensure, that it returns 3.16.0 (maybe you executable loads an old version of the library somewhere on your machine). You could also use Sysinternal's Process Explorer and watch the full path of the loaded FreeImage.dll in the 'DLLs' lower pane view.

    2. Run the VB application in the IDE and set a breakpoint in FreeImage_GetAllMetadataTags. Step through this method using F8 or Shift+F8 on the line

    Tag(i) = pGetTagFromTagPtr(Model, lpTag)

    You do not need to step into this function in the first place. Use a freshly downloaded version of MFreeImage.bas. Do not apply ANY modifications to that file. Maybe that shows us, when, where and why this function exits and does not return any tags (that is, does not populate the entries of the Tag() array).

    Carsten

     
    • Johnny Petersen

      Johnny Petersen - 2014-03-27

      Hi Carsten,

      I really appreciate your try. Sometimes it happens that way, I fully realize.

      Two factors to be considered: (i) I am running Vista (I don't have a
      copy on Win 7 for further test) and (ii) you know better, there is
      actually not much involved in the call (basically it is only
      FreeImage_GetAllMetadataTags), so there is not much else to go about
      it.

      As far as I can see, the difference between the original and the
      slightly-modified one is that the former would bounce out the loop
      when FreeImage_FindNextMetadataInt() gets some kind of an error, the
      latter would continue because of the extra "Resume Next".

      It was suggested by a friend of mine, who happens to be a
      FreeImage-lover, and has recently posted a patch on 256x256 ICO item
      (as contrast to 256x256 PNG item) in a ICO file, to bring the issue to
      SourceForge. Because he knows I know icons inside out and up side
      down, he consulted me before submitting the patch.

      From your past postings I know you have been very helpful to VB guys,
      and I fully realize how sometimes things can turn out to be, never
      mind, I just bring up the issue that I have come across.


      I am a retired professional (but not in computer programming
      discipline), that is why I stay late even at this wee hour. Whilst I
      am having my 3rd glass of Beaujolais, I got your 2nd mail. The msgbox
      is placed right before the line
      "i = i + 1" in the original Function, "MsgBox i" [or MsgBox Cstr(i) if
      you like]
      . it flagged "3" (counted from 0 as you said), then I don't
      see any more. The reason that the listing is blank is that anything
      less than 4 items of what I want is discarded (the 4 items are
      LatitudeRef, Latitude, LongitudeRe and Longitude).


      I will hit the pillows for now.

      Herman

      Herman

      On Thu, Mar 27, 2014 at 3:25 AM, Carsten Klein cklein05@users.sf.net wrote:

      Hi Herman,

      ok, now I understand your intention. However, I actually get all EXIF_GPS
      entries with FreeImage, using your JPEG, that you've attached in a zip
      archive. So, I actually have no idea, where FreeImage_GetAllMetadataTags
      prematurely exists the loop (or even does not return any tags at all).

      Which application is shown in your screenshots? Is it your own? I just
      mapped my generated tag list (see above) against that one shown in
      SchreenShot_5jpg:

      GPSVersionID: 2 2 0 0
      GPSLatitudeRef: N
      GPSLatitude: 39:44:21.61
      GPSLongitudeRef: W
      GPSLongitude: 104:59:29.89
      GPSAltitudeRef: 0
      GPSAltitude: 1577/1
      GPSTimeStamp: 19:46:44.00
      GPSSatellites: 16,23,13,20,27
      GPSStatus: A
      GPSMeasureMode: 3
      GPSDOP: 230/100
      GPSSpeedRef: N
      GPSSpeed: 2/1
      GPSTrackRef: T
      GPSTrack: 261/1
      GPSImgDirectionRef: T
      GPSImgDirection: 261/1
      GPSMapDatum: WGS-84
      GPSDestBearingRef:
      GPSDestBearing: 0/0
      GPSDestDistanceRef:
      GPSDestDistance: 0/0
      GPSDateStamp: 2005:09:11
      GPSDifferential: 0

      As you can see, the current version of FreeImage and the VB6 wrapper gets
      two more tags (marked with *). These are rational values with a zero
      denominator. Seems like the application that has generated what is shown in
      ScreenShot_5.jpg has problems with dividing by zero.

      Also the VB6 wrapper had this problem in the past; however, that was fixed
      as of version 2.20 (CVS revision).

      So, the fix for FreeImage_GetAllMetadataTags that you've provided does
      nothing more than not relying on the GetFirstMetadata / GetNextMetadata
      iterator, but gets the number of tags and uses a for-loop to call
      GetNextMetadata exactly that number times.

      So, basically, both functions do the same thing. They both use
      GetNextMetadata to get a pointer to the next tag. So, where is the
      difference? Currently, I have no idea.

      Furthermore, on my machine, the FreeImage_GetAllMetadataTags running on the
      latest FreeImage library 3.16.0 works perfectly for your image. I recommend
      these next steps:

      Ensure, that your VB application actually uses the latest FreeImage DLL.
      Call FreeImage_GetVersion() and ensure, that it returns 3.16.0 (maybe you
      executable loads an old version of the library somewhere on your machine).
      You could also use Sysinternal's Process Explorer and watch the full path of
      the loaded FreeImage.dll in the 'DLLs' lower pane view.

      Run the VB application in the IDE and set a breakpoint in
      FreeImage_GetAllMetadataTags. Step through this method using F8 or Shift+F8
      on the line

      Tag(i) = pGetTagFromTagPtr(Model, lpTag)

      You do not need to step into this function in the first place. Use a freshly
      downloaded version of MFreeImage.bas. Do not apply ANY modifications to that
      file. Maybe that shows us, when, where and why this function exits and does
      not return any tags (that is, does not populate the entries of the Tag()
      array).

      Carsten


      [feature-requests:#48] Fail to list GPS tags in a JPG file with VB6 wrapper
      - GetAllMetadataTags2

      Status: open
      Group:
      Created: Mon Mar 24, 2014 06:29 PM UTC by Johnny Petersen
      Last Updated: Wed Mar 26, 2014 10:44 PM UTC
      Owner: Carsten Klein

      VB6 wrapper FreeImage_GetAllMetadataTags2() does not show any of the GPS
      tags contained in the attached JPEG file.

      I believe the function has a failure exit when one of the tags fails at
      FreeImage_FindNextMetadataInt() in the loop. However, after only a slight
      modification as below, I am able to list almost all of the GPS tags now.

      'Modified one
      Public Function FreeImage_GetAllMetadataTags2(ByVal Model As
      FREE_IMAGE_MDMODEL,
      ByVal bitmap As Long,
      ByRef Tag() As FREE_IMAGE_TAG) As Long
      Dim hMD As Long
      Dim lpTag As Long
      Dim i As Long
      Dim mCtn As Long

      ' This function is a helper function returning (through a ByRef parameter)
      ' an array of FREE_IMAGE_TAG structures containing all the image's tags of
      ' the metadata model specified by the 'Model' parameter.

      ' The parameter 'Tag()' must be an redimensionable array of FREE_IMAGE_TAG
      ' and is redimensioned accordingly. The function returns the number of
      ' tags stored in 'Tag()'.

      ' All tags obtained from FreeImage_GetAllMetadataTags() must not be deleted
      ' with FreeImage_DeleteTagEx().

      On Error Resume Next

      mCtn = FreeImage_GetMetadataCount(Model, bitmap)
      If (mCtn > 0) Then
      ReDim Tag(mCtn - 1)
      hMD = FreeImage_FindFirstMetadata(Model, bitmap, lpTag)
      If (hMD <> 0) Then
      For i = 0 To mCtn - 1
      Tag(i) = pGetTagFromTagPtr(Model, lpTag)
      If FreeImage_FindNextMetadataInt(hMD, lpTag) = 0 Then
      End If
      Next i
      Call FreeImage_FindCloseMetadata(hMD)
      End If
      End If

      FreeImage_GetAllMetadataTags2 = mCtn
      End Function


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/freeimage/feature-requests/48/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Feature Requests: #48

  • Carsten Klein

    Carsten Klein - 2014-03-27

    Hi Herman,

    I just noticed your most recent post about the message box. I did not get an e-mail and having the posts scattered on multiple pages on SF is also not a good thing...

    Where exactly is your MsgBox call? In the line before i = i + 1? And you where showing i in the message box? That is, MAX(i) in the message box was 3? So, since i starts off with 0, you where able to get 4 tags (0, 1, 2, 3) and crashed with tag 5 (where i is 4). Interestingly, the fifth tag is actually a rational value with a zero denominator.

    Could you please run this in the IDE and step through it with the debugger? The question is, whether after i reaching 4, the loop is left in line

    Loop While (FreeImage_FindNextMetadataInt(hMD, lpTag) <> 0)

    or if it goes round another time and crashes in pGetTagFromTagPtr(Model, lpTag). If so, there seems to be something wrong with the 'divide by zero' prevention in your version of the Vb6 wrapper.

    Carsten

     
  • Johnny Petersen

    Johnny Petersen - 2014-03-27

    To answer your question, yes, the application I am using is my own.

    Re: ...... the current version of FreeImage and the VB6 wrapper gets two more tags (marked with *). These are rational values with a zero denominator. Seems like the application that has generated what is shown in ScreenShot_5.jpg has problems with dividing by zero.

    ScreenShot_5 is from FreeImage, there I discarded entries with an empty ".Key". ScreenShot_1 & 2 are from my own application, which simply discarded the following, because they do not contain the valid data. Otherwise I could have listed two more tags than you do, using my own subroutine :-)

    20 GPSDestBearingRef

    21 GPSDestBearing

    22 GPSDestBearingRef

    23 GPSDestBearing

    To reinforce what I said, if you use ExifTool to test it, you would get the following

    20 GPSDestBearingRef "Unknown 0"

    21 GPSDestBearing "Undefined"

    22 GPSDestBearingRef "Unknown 0"

    23 GPSDestBearing "Undefined"

    Re: ...... the fix for FreeImage_GetAllMetadataTags that you've provided does nothing more than not relying on the GetFirstMetadata / GetNextMetadata iterator, but gets the number of tags and uses a for-loop to call GetNextMetadata exactly that number times.

    As I see it, the difference between the original FI function and the modified one is so obvious: The former will exit the loop if something is not quite with a tag when FreeImage_FindNextMetadataInt is called. However with the latter, the process will continue owing to the extra "On Error Resume Next", and this is the reason why the modified one could have "salvaged" the many tags.

    To comply with your request, I attach a screenshot of the FI version that I am using (but not obtained with FreeImage_GetVersion, I used my usual subroutine to ascertain library versions)

    However, I am not prepared to set out to investigate further, as I said before I myself don't use FreeImage for the job.

    I appreciate your try, things can happen that way sometimes. I am not sure there is any relevance in this - I am on Vista. I don't have FI on my Win 7 to further test it out.

    If the issue is going to get complicated, I suggest that let us just drop the case.

     
  • Carsten Klein

    Carsten Klein - 2014-03-27

    Hi,

    RE. ...... As I see it, the difference between the original FI function and the modified one is so obvious: The former will exit the loop if something is not quite with a tag when FreeImage_FindNextMetadataInt is called. However with the latter, the process will continue owing to the extra "On Error Resume Next", and this is the reason why the modified one could have "salvaged" the many tags.

    Yes, that is what the fix is like. As it goes round for N times if there are N tags in the model, it will not leave the loop (along with the On Error Resume Next) and continue to get tags, even if an error occurred while getting a single tag (either in FreeImage_GetNextMetadataInt or in pGetTagFromTagPtr).

    However, and that is what I'm currently interested in, at current, I do not see any reason for this fix. Do you? FreeImage's metadata iteration functions are intended to work properly. Actually, I have no reason to believe that they do not work properly.

    We've written a lot of lines now and I'm not sure whether we still know for sure, what that's all about. Let me put all this into some (few) words:

    1. You've reported, that the VB6 wrapper's function FreeImage_GetAllMetedataTags does not return any tags for a certain image ('11_with_GPS_EXIFisMM_3D.jpg').

    2. After I've got this image (including Exif metadata), I tested this function on my machine in VB6 IDE running on Windows XP. I could read 25 tags in total for the EXIF_GPS model. Some of the tags are actually undefined (in a mathematical sense), since they are rational values with a zero denominator.

    Conclusion: the standard VB6 wrapper function FreeImage_GetAllMetedataTags (without any fix) seems to work. Additionally, I don't think, that Windows versions like XP, Vista, 7, 8 or 8.1 have any impact on this.

    So, if you are actually encountering an error here, that is, the loop in FreeImage_GetAllMetedataTags is exited too early due to an error (using the latest and unmodified version of both the wrapper and the DLL), we could investigate further on this.

    This requires your help, since I'm not able to reproduce this error on my boxes here (since I'm a professional too, I have several machines around). If you don't want to spend your time, that's ok.

    However, I will not implement a fix for an error that I can't reproduce and do not really understand, which, in addition, does not really fix the error, but uses a brute force strategy to get all the tags.

    To get things moving with this issue, I need to know exactly, where the loop is left in your environment (using the latest wrapper with no fixes). Maybe you could check this in VB6 IDE with the debugger. If you are able and willing to test this and can tell me in which line the debugger is dropped out of the loop (or even the function), we can make one step forward.

    Without that, since on my machines everything works fine, I can not do anything more on this.

    Carsten

     
  • Johnny Petersen

    Johnny Petersen - 2014-03-27

    Carsten,

    (I guess my posting has been in pending for 3 hours because I forgot to log in when I did it. So I come back to redo one - I hope this one won't be too far away from the original one.)

    I see your point. My friend wrote to me highlighting pGetTagFromTagPtr function for me. Although I did replace that one as well, I might not have replaced one or more functions entailed within it.

    As such, it is likely that the problem is on my part. At this junction, I owe you an explanation on why I didn't take the new BAS as a whole, but "copy and replace" instead. As explained earlier on, I use only a small part of FreeImage, hence I have my own "FI bas" containing only functions that I use, mainly for Load only. However, in the said "FI bas" I also have quite some stuff of my own, e.g. when the loaded images have alpha or simple transparency I use a colored chessboard, for certain ColorTypes of PNG which FreeImage does not handle "tRNS" well, I use my own to make it up, to test out ICC conversion I make GDIplus calls as well. If I take the latest BAS as a whole, then there would be implications on other parts of my application. (BTW, it is also for this reason I can't carry out a debug as you suggested).

    Under the circumstances, I agree that it is justified that we should drop the case.

    I wish to say thank you for helping to straighten the subject matter; GPS involvement is not a light one.

    Herman

     
  • Hervé Drolon

    Hervé Drolon - 2015-02-28

    So my question is: can we close this ticket or not ?

     
  • Johnny Petersen

    Johnny Petersen - 2015-02-28

    (Sorry, I forgot to log in)

    Hervé,

    Since there is no longer any outstanding issue, please close this ticket.

    I wish to express my gratitude once again for the help that Carsten had kindly extended to me.

    Johnny

     
  • Hervé Drolon

    Hervé Drolon - 2015-02-28
    • status: open --> closed
     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks